From: "Stefan Strogin" <steils@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/openshot/
Date: Sat, 16 May 2020 02:44:11 +0000 (UTC) [thread overview]
Message-ID: <1589596969.1d97262e0f1a1ac8ecf4a5d99d7dc2bbb0876a01.steils@gentoo> (raw)
commit: 1d97262e0f1a1ac8ecf4a5d99d7dc2bbb0876a01
Author: Stefan Strogin <steils <AT> gentoo <DOT> org>
AuthorDate: Sat May 16 02:40:42 2020 +0000
Commit: Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Sat May 16 02:42:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d97262e
media-video/openshot: version bump to 2.5.1
- Add python3_8 to PYTHON_COMPAT.
- Fix sub-slotting for media-libs/libopenshot.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>
media-video/openshot/Manifest | 1 +
media-video/openshot/openshot-2.5.1.ebuild | 53 ++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/media-video/openshot/Manifest b/media-video/openshot/Manifest
index 89dc2357826..f1f9d20dc9b 100644
--- a/media-video/openshot/Manifest
+++ b/media-video/openshot/Manifest
@@ -1,3 +1,4 @@
DIST openshot-2.4.4.tar.gz 63065376 BLAKE2B 2ee00f24d699d5935a182c394821f215a27ba2701d493f51299c19cf99452ca4df2e5b86f7a6e5734e6194e39e5b7995eb94be168c0e9f7bc7a3b78206277304 SHA512 efa71f97a83b89e691b7dab09288ba7d3e91eb25119669fa8f6e28becb8d4cb3e60a923f936ee4ff9a593d016fe3a6b0348153cff937ab7d21a5517de5dfa10c
DIST openshot-2.5.0.tar.gz 60153193 BLAKE2B cdc79c68be7cd5b9e2714c98c4edbb5fc9ec349283da8439e9f9e26b2341688e2b8ae0f108413f59582d6e447faeb96d1da6916503299ca40939d73f5983377f SHA512 0944bff48c8957a4a3c5a37428b4d3e45e8ad6e1664812ea90b7c16d014a3c355daf2fe183ce855586114ccfa36c419b6baacc42c4bf871de29bda4c24f2a814
+DIST openshot-2.5.1.tar.gz 60217543 BLAKE2B 3f195b14a9fb004e845c731be64138c20da84ac0c90db43b547ee9ea059d32f85ada04aa0462b755a7ea5c3d3b30088fab35414147dded55deb9d5eab5926d2d SHA512 8254a45254bbe523b6485b9598022de2c46ec30818e606ac4665790d29486693c4efe9f5bc55ee43d6342de6782cf0090e4bc880e831c08e3b1218bca555af14
DIST openshot-qt-2.4.0.tar.gz 60710408 BLAKE2B 33c8abe7ba3122ae720163d6ab91d367ee282b94d3d8986fdccf4f9efae832f54af7f946472c781a17f7e54083028762952d02d7139e6815cd0d44e80515c728 SHA512 95778effa5b02a467c44741384b0f43bf90343d4f450d5fcc2319ff1c3bee212338435dd8c781e0ff111a704aacdce3dbfb6bdcf62afa1f59bbb0668b58074ca
diff --git a/media-video/openshot/openshot-2.5.1.ebuild b/media-video/openshot/openshot-2.5.1.ebuild
new file mode 100644
index 00000000000..20bc674050f
--- /dev/null
+++ b/media-video/openshot/openshot-2.5.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE=xml
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 xdg
+
+MY_PN="${PN}-qt"
+
+DESCRIPTION="An award-winning free and open-source video editor"
+HOMEPAGE="https://www.openshot.org/"
+SRC_URI="https://github.com/OpenShot/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="1"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/httplib2[${PYTHON_MULTI_USEDEP}]
+ dev-python/PyQt5[${PYTHON_MULTI_USEDEP},gui,svg,webkit,widgets]
+ dev-python/pyzmq[${PYTHON_MULTI_USEDEP}]
+ dev-python/requests[${PYTHON_MULTI_USEDEP}]
+ ')
+ >=media-libs/libopenshot-0.2.5:0=[python,${PYTHON_SINGLE_USEDEP}]
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ doc? ( dev-python/sphinx[${PYTHON_MULTI_USEDEP}] )
+ ')
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ distutils-r1_python_prepare_all
+ # prevent setup.py from trying to update MIME databases
+ sed -i 's/^ROOT =.*/ROOT = False/' setup.py || die
+}
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/_build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2020-05-16 2:44 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-16 2:44 Stefan Strogin [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-09-07 20:55 [gentoo-commits] repo/gentoo:master commit in: media-video/openshot/ Sam James
2023-07-06 0:06 Sam James
2023-05-03 7:22 Sam James
2023-05-01 13:19 Sam James
2023-02-07 10:37 Andreas Sturmlechner
2022-06-10 6:48 Agostino Sarubbo
2022-06-09 7:39 Agostino Sarubbo
2022-06-07 5:17 Sam James
2022-02-04 18:40 Michał Górny
2021-11-21 16:17 Stefan Strogin
2021-10-27 15:33 Rick Farina
2021-09-04 21:01 Andreas Sturmlechner
2021-09-04 19:20 Stefan Strogin
2021-06-01 17:07 Andrew Ammerlaan
2021-05-30 19:04 Andreas Sturmlechner
2021-05-26 3:57 Stefan Strogin
2021-05-25 11:15 Sam James
2021-03-15 13:35 Andreas Sturmlechner
2021-02-21 10:16 Andreas Sturmlechner
2021-01-21 7:40 Agostino Sarubbo
2021-01-10 15:53 Andreas Sturmlechner
2021-01-10 15:53 Andreas Sturmlechner
2021-01-01 22:14 Andreas Sturmlechner
2021-01-01 22:14 Andreas Sturmlechner
2021-01-01 22:14 Andreas Sturmlechner
2020-12-03 15:42 Andreas Sturmlechner
2020-12-03 15:42 Andreas Sturmlechner
2020-02-25 5:44 Stefan Strogin
2020-02-10 19:59 Stefan Strogin
2019-12-15 14:46 Agostino Sarubbo
2019-12-15 12:44 Agostino Sarubbo
2019-08-14 2:33 Stefan Strogin
2019-06-13 15:31 Stefan Strogin
2019-06-13 15:31 Stefan Strogin
2018-05-01 7:36 Michał Górny
2018-02-06 15:10 Thomas Deutschmann
2017-12-06 19:52 Pacho Ramos
2017-10-03 22:14 Patrice Clement
2017-07-26 8:12 Michał Górny
2017-07-26 8:12 Michał Górny
2017-01-29 16:45 Michael Palimaka
2017-01-29 16:45 Michael Palimaka
2016-09-14 7:38 David Seifert
2016-07-04 0:05 Göktürk Yüksek
2016-07-04 0:05 Göktürk Yüksek
2016-04-25 13:17 Patrice Clement
2016-04-21 9:52 Ian Delaney
2016-04-18 8:13 Patrice Clement
2016-03-18 5:33 Ian Delaney
2016-03-16 10:03 Patrice Clement
2016-03-16 8:58 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1589596969.1d97262e0f1a1ac8ecf4a5d99d7dc2bbb0876a01.steils@gentoo \
--to=steils@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox